package com.rf.psychological.scale.resultBusiness.scaleResult;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.rf.psychological.utils.Constant;

import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
/**
 * @author zsy
 * @description:事故风险问卷
 * @date 2021/11/03 15:55
 */
public class ARQScale extends BaseScale {
    public ARQScale(JSONArray jsonArray, JSONObject resultJson) {
        super(jsonArray, resultJson);
    }

    public  JSONObject scaleCalculate() throws Exception {
        //总得分
        double score = 0;
        for (int i = 0; i < jsonArray.size(); i++) {
            JSONObject jsonObject1 = jsonArray.getJSONObject(i);
            if (jsonObject1.getString("checkItems").equals("非常高")) {
                score += 1;
            } else if (jsonObject1.getString("checkItems").equals("高")) {
                score += 2;
            } else if (jsonObject1.getString("checkItems").equals("相同")) {
                score += 3;
            } else if (jsonObject1.getString("checkItems").equals("低")) {
                score += 4;
            } else if (jsonObject1.getString("checkItems").equals("非常低")) {
                score += 5;
            }
        }
        DecimalFormat df = new DecimalFormat("######0.00");
        score=Double.parseDouble(df.format(score/10.0));
            Map<String, String> resultMap = new LinkedHashMap<>();
            resultMap.put("事故风险问卷总分", String.valueOf(score));
        resultMap.put("事故风险问卷总分解释", "问卷总分越高，代表驾驶员卷入事故的可能性越低；总分越低，代表驾驶员卷入事故的可能性越高。");
            resultJson.put("事故风险问卷总分", String.valueOf(score));
        resultJson.put("事故风险问卷总分解释","问卷总分越高，代表驾驶员卷入事故的可能性越低；总分越低，代表驾驶员卷入事故的可能性越高。");
            List<Map<String,String>> resultMapList = new ArrayList<>();
            resultMapList.add(resultMap);

            JSONObject returnJson = new JSONObject(true);
            returnJson.put("resultMapList",resultMapList);
            returnJson.put("scaleName", Constant.SHEET_NAME_TSI);
            returnJson.put("resultJson",resultJson);

            return returnJson;


    }
}
